Hello I recently received my new MX4 Ubuntu edition, but its really impractical, buggy and annoying to use for me. Can you advise how I can install Flyme on to it ?